Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-2149

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2008-2149
Last Modified 07 Mar 2011 10:08:46
Published 12 May 2008 05:20:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-2149

Summary

Stack-based buffer overflow in the searchwn function in Wordnet 2.0, 2.1, and 3.0 might allow context-dependent attackers to execute arbitrary code via a long command line option. NOTE: this issue probably does not cross privilege boundaries except in cases in which Wordnet is used as a back end.

Vulnerable Systems

Application

  • Wordnet 2.0

  • Wordnet 2.1

  • Wordnet 3.0


References

CONFIRM - https://bugs.gentoo.org/show_bug.cgi?id=211491

VUPEN - ADV-2008-1527

MANDRIVA - MDVSA-2008:182

GENTOO - GLSA-200810-01

DEBIAN - DSA-1634

SECUNIA - 32184

SECUNIA - 31654

XF - wordnet-searchwn-bo(42378)

BID - 29208

SECUNIA - 30242


Last Updated: 27 May 2016 10:47:46